<section class="products-container">
  <div class="top-container">
    <app-filter-input
      [disabled]="showSkeletons$ | async"
      (onInputFilterChange)="onInputFilterChange($event)"
    ></app-filter-input>
    <app-carousel
      *ngIf="isMobile && !keyToFilter"
      [carouselImages]="products$ | async"
    ></app-carousel>
  </div>

  <div class="products-grid">
    <div class="title">
      <span class="title">PicnicShop</span>
    </div>
    <div class="grid">
      <div class="data-zero" *ngIf="(products$ | async).length === 0 && keyToFilter">
        <span>Sorry, we couldn't find the product 😔</span>
      </div>
      <ng-container *ngIf="showSkeletons$ | async">
        <ng-container *ngTemplateOutlet="productsSkeletons"></ng-container>
      </ng-container>
      <div class="products-wrapper" *ngFor="let product of (products$ | async)">
        <app-product-box
          [product]="product"
          (onProductBoxClick)="onSelectProductById($event)"
        ></app-product-box>
      </div>
    </div>
  </div>
</section>

<app-product-detail-modal
  [isLoading]="isLoading$ | async"
  [isMobile]="isMobile"
  [isOpen]="isProductModalOpen"
  [product]="selectedProduct$ | async"
  (onAddToCartChange)="onAddToCartChange($event)"
  (onClose)="onCloseDetailModal()">
</app-product-detail-modal>

<ng-template #productsSkeletons>
  <div class="products-wrapper" *ngFor="let skeleton of productsSkeletonsArray">
    <app-product-box [isLoading]="isLoading$ | async"></app-product-box>
  </div>
</ng-template>
